RFIDWithUHF

com.rscja.deviceapi

## Class RFIDWithUHF

- java.lang.Object
- - com.rscja.deviceapi.RFIDWithUHF

-     public class RFIDWithUHF
      extends java.lang.Object

  UHF模块操作类
  UHF module operation type

  注意：
  Attention:
  1、使用前请确认您的机器已安装此模块。
  1. Make sure this module is installed before using your device.
  2、要正常使用模块需要在\libs\armeabi\目录放置libDeviceAPI.so文件
  2. Put libDeviceAPI.so file in directory \libs\armeabi\ then module can be used normally.
  3、在操作设备前需要调用 `init()` 打开设备，使用完后调用 `free()` 关闭设备
  3. call `init()` to switch on the device before operating the device, call `free()` to switch off device after using.

  Author:
    liuruifeng

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RFIDWithUHF.BankEnum` 存储区 Storage
    `static class` | `RFIDWithUHF.LockModeEnum` Deprecated.
    `static class` | `RFIDWithUHF.SingleModeEnum` 读取模式 Read mode

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `convertUiiToEPC(java.lang.String uii)` UII转EPC UII transform to EPC
    `void` | `crcOff()` 取消CRC校验
    `void` | `crcOn()` 设置CRC校验 setup CRC verification
    `java.lang.String` | `eraseData(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt)` 擦除标签数据（不指定UII） erase tag data ( non-specified UII)
    `boolean` | `eraseData(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String uii)` 擦除标签数据（指定UII） erase tag data (specified UII)
    `boolean` | `eraseData(java.lang.String accessPwd, RFIDWithUHF.BankEnum filterBank, int filterPtr, int filterCnt, java.lang.String filterData, RFIDWithUHF.BankEnum bank, int ptr, int cnt)`
    `boolean` | `free()` 关闭UHF模块 Switch off UHF module
    `java.lang.String` | `generateLockCode(RFIDWithUHF.LockModeEnum killPwd, RFIDWithUHF.LockModeEnum accessPwd, RFIDWithUHF.LockModeEnum uii, RFIDWithUHF.LockModeEnum tid, RFIDWithUHF.LockModeEnum user)` Deprecated.
    `int` | `getFrequencyMode()` 读取模块的工作模式 read module work mode

    `char[]`

    `GetGen2()`
    [0] target: s0:0 s1:1 s2:2 s3:3 SL:4 [1] action: 0,1,2,3,4,5,6 [2] t: Disable truncation 0, Enable truncation 1 [3] q: 固定Q算法 0, 动态Q算法 1
    [3] q: fixed Q algorithm 0, dynamic Q algorithm 1
    [4] startQ: 0,1,2,3.....15 注意：在固定Q算法下，Q固定为StartQ，忽略MinQ 和 MaxQ
    [4] startQ: 0,1,2,3.....15 note: in fixed algorithm, Q is fixed as StartQ, neglect MinQ and MaxQ
    [5] minQ: 0,1,2,3.....15 [6] maxQ:0,1,2,3......15 [7] dr:0,1 [8] coding:0,1,2,3 [9] p:0,1 [10] sel:0,1,2,3 [11] Session:0,1,2,3 [12] g:0,1 [13] linkFrequency:0,1,2,3,4,5,6,7

    `java.lang.String` | `getHardwareType()` 读取模块类型 read module type
    `static RFIDWithUHF` | `getInstance()` 获取UHF操作实例 Acquire UHF operation Instance
    `int[]` | `getInventoryBID()` 是否盘存BID(客户定制函数/Customizing)
    `int` | `getMode()` 获取寻标签模式，仅R2000模块有效 acquire tag searching mode, it is valid for R2000 only
    `char[]` | `getParam(char type, char[] id)` 获取模块参数，仅R2000模块有效 acquire module parameter, it is valid for R2000 only
    `int` | `getPower()` 读取模块的功率 read power of module
    `int[]` | `getPwm()` 获取占空比，仅适用于R2000模块 acquire duty ratio, used for R2000 module only
    `int[]` | `getQTPara()` 获取是否开启寻隐藏区(仅R2000 QT标签) acquire hidden area activation or not (R2000 QT tag only)
    `int` | `getReadMode()` 获取读取模式 acquire reading mode.
    `int` | `getRFLink()` 获取链路参数，仅R2000有效 acquire link parameter, R2000 is valid only.
    `int` | `getTemperature()` 获取模块温度，模块在工作中不能获取文档。（仅R2000模块有效） acquire module temperature, module cannot acquire files in operation
    `boolean` | `init_R2000()` Deprecated.
    `boolean` | `init()` 初始化UHF模块,适应所有模块 Initialize UHF module(Support all modules)
    `boolean` | `inventoryBank_sf(java.lang.String pwdData, char bank, int ptr, int len)` 顺丰定制接口 Customizing
    `java.lang.String[]` | `inventorySingleTag_sf()` 顺丰定制接口 Customizing
    `java.lang.String` | `inventorySingleTag_tc(int mode)` 客户定制函数/Customizing 该函数单步识别标签，一次只返回一个UII this formula identify tag in single step, return UII for only one time.
    `java.lang.String` | `inventorySingleTag()` 该函数单步识别标签，一次只返回一个UII this formula identify tag in single step, return UII for only one time.
    `byte[]` | `inventorySingleTagBytes()` 该函数单步识别标签，一次只返回一个UII this formula will identify tag in single step, return one UII for one time
    `java.lang.String[]` | `inventorySingleTagWithR2000()` Deprecated.
    `boolean` | `isPowerOn()` 判断设备是否上电 Judge the device is powered on or not.
    `boolean` | `killTag_Ex(java.lang.String killPwd)` 销毁指定标签（不指定UII）,默认密码不能执行销毁 destroy specified tag (non-specified UII), default code cannot execute erase
    `java.lang.String` | `killTag(java.lang.String killPwd)` Deprecated.
    `boolean` | `killTag(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String filterData)` 销毁指定标签 ,默认密码不能执行销毁 destroy specified tag , default code cannot execute erase
    `boolean` | `killTag(java.lang.String killPwd, java.lang.String uii)` 销毁指定标签（指定UII）,默认密码不能执行销毁 destroy specified tag (specified UII), default code cannot execute erase
    `boolean` | `lockMem_EX(java.lang.String accessPwd, java.lang.String lockCode)` 锁定标签的指定数据段（不指定UII） locking specified array (not specified UII) of tag
    `boolean` | `lockMem(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String filterData, java.lang.String lockCode)` 锁定标签的指定数据段 lock specified data of tags
    `java.lang.String` | `lockMem(java.lang.String accessPwd, java.lang.String lockCode)` Deprecated.
    `boolean` | `lockMem(java.lang.String accessPwd, java.lang.String lockCode, java.lang.String uii)` Deprecated.
    `boolean` | `openInventoryEPCAndTIDMode()` Deprecated.
    `SimpleRFIDEntity` | `readData(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt)` 读取标签某个存储区的所有数据（指定UII）。芯联模块不支持 Read all the data of random storage of tags (specified UII).
    `java.lang.String` | `readData(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String uii)` Deprecated.
    `java.lang.String` | `readData(java.lang.String accessPwd, RFIDWithUHF.BankEnum filterBank, int filterPtr, int filterCnt, java.lang.String filterData, RFIDWithUHF.BankEnum bank, int ptr, int cnt)` 读取标签某个存储区的所有数据 Read all the data of random storage of tags
    `SimpleRFIDEntity` | `readDataWithQT(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt)` 读取标签数据（不指定UII）,用于R2000 QT标签 read tag data ( non-specified UII), used for R2000 QT tag
    `java.lang.String` | `readDataWithQT(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String uii)` Deprecated.

    `java.lang.String`

    `readDataWithQT(java.lang.String accessPwd, RFIDWithUHF.BankEnum filterBank, int filterPtr, int filterCnt, java.lang.String filterData, RFIDWithUHF.BankEnum bank, int ptr, int cnt)`
    读取标签某个存储区的所有数据,用于R2000 QT标签
    read all data of random storage of the tag, used for R2000 QT tag.

    `java.lang.String[]` | `readTagData_sf()` 顺丰定制接口 Customizing
    `java.lang.String[]` | `readTagFromBuffer()` 读取缓冲区返回的标签的TID和UII read return TID and UII infor of tag in buffer zone.
    `java.lang.String[]` | `readTagFromR2000Buffer()` Deprecated.
    `java.lang.String` | `readUidFromBuffer()` 读取缓冲区返回的标签UII read the return tag UII in buffer zone
    `boolean` | `setEPCTIDMode(boolean enalbe)` 开关同时读取 EPC 和 TID 模式设置功能，仅R2000有效 ON/OFF will read EPC and TID setup function simultaneously, it is valid for R2000 only.
    `boolean` | `setFastID(boolean enalbe)` 开关FastID功能，仅R2000有效 ON/OFF FastID function, R2000 is valid only.
    `boolean` | `setFilter(int bank, byte ptr, java.lang.String data)` Deprecated.
    `boolean` | `setFilter(int bank, int ptr, java.lang.String data)` Deprecated.
    `boolean` | `setFilter(RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String data, boolean save)`
    `boolean` | `setFreHop(float fre)` 设置模块频点 setup frequence point module
    `boolean` | `setFrequencyMode(byte freMode)` 设置模块的工作模式 setup module work mode
    `boolean` | `SetGen2(int target, int action, int t, int q, int startQ, int minQ, int maxQ, int dr, int coding, int p, int Sel, int Session, int g, int linkFrequency)`
    `boolean` | `setInventoryBID(boolean save, int mode)` 盘存TID(客户定制函数/Customizing)
    `boolean` | `setMode(int mode)` 设置寻标签模式，仅R2000模块有效 setup tag searching mode, it is valid for R2000 only.
    `boolean` | `setParam(char type, char[] id, char[] data)` 设置模块参数，仅R2000模块有效 setup module parameter, it is valid for R2000 only
    `boolean` | `setPower(int power)` 设置模块的功率 setup module power
    `boolean` | `setProtocol(int protocol)` 设置协议 仅R2000模块有效 setup protocol, be valid for R2000 module only
    `boolean` | `setPwm(int WorkTime, int WaitTime)` 设置占空比，仅适用于R2000模块 setup duty ration, used for R2000 module
    `boolean` | `setQTPara(boolean enable)` 开启寻隐藏区(仅R2000 QT标签) activate searching hidden area (R2000 QT tag only)
    `boolean` | `setReadMode(RFIDWithUHF.SingleModeEnum mode)` 设置读取模式 setup reading mode
    `boolean` | `setRFLink(int mode)` 设置链路参数，仅R2000有效 setup link parameter, R2000 is valid only
    `boolean` | `setTagFocus(boolean enalbe)` 开关TagFocus功能，仅R2000有效 ON/OFF TagFocus function, it is valid for R2000 only.
    `void` | `setUart(java.lang.String uart)` 设置uhf串口，成为的手持机不要调用此函数，否则uhf会无法工作
    `int` | `startInventory_BankPtrCnt(int flagAnti, int initQ, int bank, int ptr, int cnt)` 客户定制 Customizing
    `boolean` | `startInventory(int flagAnti, int initQ)` Deprecated.

    `boolean`

    `startInventoryTag(int flagAnti, int initQ)`
    启动识别Tag循环，只是开启识别Tag循环，之后将识别到的标签号上传到缓冲区， `readTagFromBuffer()`
    activate identification Tag circulation, upload the identified tag number to buffer zone after, `readTagFromBuffer()`
    用于从缓冲区读取一个标签号数据，开启循环识别之后，模块只能响应`stopInventory()` 函数， used for reading one tag data, after starting the circular identification, the module will respond `stopInventory()` formula.
    `stopInventory()` 停止识别循环。
    `stopInventory()` stop identification circulation.

    `boolean`

    `startInventoryTag(int flagAnti, int initQ, int cnt)`
    启动识别Tag循环，只是开启识别Tag循环，之后将识别到的标签号上传到缓冲区， `readTagFromBuffer()`
    start identifing Tag circulation, start identifying Tag circulation only, upload the identified tag number to buffer zone after, `readTagFromBuffer()`
    用于从缓冲区读取一个标签号数据，开启循环识别之后，模块只能响应`stopInventory()` 函数，
    used for reading a tag number data from buffer zone, after starting circular identification, module will respond `stopInventory()` formula only.

    `boolean` | `stopInventory()` 停止循环识别 stop circular identification
    `java.lang.String` | `UHFBlockPermalock(java.lang.String accessPwd, int bank, int ptr, int datalen, java.lang.String uii, int readlock, int MB, int blockptr, int blockrange, java.lang.String jucpmask)`
    `boolean` | `uhfDeactivate(java.lang.String hexCmd, java.lang.String pszuAccessPwd, RFIDWithUHF.BankEnum uBank, int uPtr, int cnt, java.lang.String pszuUii)` 客户定制 Customizing
    `boolean` | `uhfDwell(int dwell, int count)` * 客户定制 Customizing
    `boolean` | `uhfJump2Boot()` 升级uhf模块
    `boolean` | `uhfStartUpdate()` 升级uhf模块
    `boolean` | `uhfStopUpdate()` 升级uhf模块
    `boolean` | `uhfUpdating(byte[] buff)` 升级uhf模块
    `boolean` | `writeData_Ex(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String data)` 向标签写入数据。芯联模块只写EPC数据 Write data in tag.
    `java.lang.String` | `writeData(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String data)` Deprecated.
    `boolean` | `writeData(java.lang.String accessPwd, RFIDWithUHF.BankEnum filterBank, int filterPtr, int filterCnt, java.lang.String filterData, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String writeData)` 向标签写入数据 Write data
    `boolean` | `writeData(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String data, java.lang.String uii)` Deprecated.
    `boolean` | `writeDataWithQT_Ex(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String data)` 向标签写入数据,用于R2000 QT标签 write data into tag, used for R2000 QT tag
    `java.lang.String` | `writeDataWithQT(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String data)` Deprecated.

    `boolean`

    `writeDataWithQT(java.lang.String accessPwd, RFIDWithUHF.BankEnum filterBank, int filterPtr, int filterCnt, java.lang.String filterData, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String writeData)`
    向标签写入数据 ,用于R2000 QT标签
    write data in tag , used for R2000 QT tag

    `boolean` | `writeDataWithQT(java.lang.String accessPwd, RFIDWithUHF.BankEnum bank, int ptr, int cnt, java.lang.String data, java.lang.String uii)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static RFIDWithUHF getInstance()
                                         throws ConfigurationException

      获取UHF操作实例
      Acquire UHF operation Instance
      Returns:
        UHF操作实例
        UHF operation Instance
      Throws:
        `ConfigurationException` - 配置错误异常
        Configuration err

    - #### setUart

          public void setUart(java.lang.String uart)

      设置uhf串口，成为的手持机不要调用此函数，否则uhf会无法工作
      Parameters:
        `uart` -

    - #### init

          public boolean init()

      初始化UHF模块,适应所有模块
      Initialize UHF module(Support all modules)

    - #### init_R2000

          @Deprecated
          public boolean init_R2000()

      Deprecated.
      初始化UHF模块(仅适用于R2000模块)
      Initialize UHF module(used for R2000 module)

    - #### free

          public boolean free()

      关闭UHF模块
      Switch off UHF module
      Returns:
        true成功，false失败
        true success, false failed

    - #### crcOn

          public void crcOn()

      设置CRC校验
      setup CRC verification

    - #### crcOff

          public void crcOff()

      取消CRC校验

    - #### convertUiiToEPC

          public java.lang.String convertUiiToEPC(java.lang.String uii)

      UII转EPC
      UII transform to EPC
      Parameters:
        `UII数据
        ` - UII data
      Returns:
        EPC数据
        EPC data

    - #### getHardwareType

          public java.lang.String getHardwareType()

      读取模块类型
      read module type
      Returns:
        返回模块类型，null为读取失败
        return module type, null is read failed

    - #### getPower

          public int getPower()

      读取模块的功率
      read power of module
      Returns:
        返回功率，返回-1为失败
        return power, return -1 is failure

    - #### setPower

          public boolean setPower(int power)

      设置模块的功率
      setup module power
      Parameters:
        `power
        ` - 功率大小
        power level
      Returns:
        true设置成功，false设置失败
        true setup success, false setup failed

    - #### getFrequencyMode

          public int getFrequencyMode()

      读取模块的工作模式
      read module work mode
      Returns:
        返回工作模式，返回-1为失败
        return work profile, return -1 is failed

    - #### setFrequencyMode

          public boolean setFrequencyMode(byte freMode)

      设置模块的工作模式
      setup module work mode
      Parameters:
        `freMode` - 0：China Standard(920~925MHz) 1：China Standard(840~845MHz) 2：ETSI Standard(865~868MHz) 3：Fixed Frequency(915MHz) 4：United States Standard(902~928MHz)
      Returns:
        true设置成功，false设置失败
        true setup success, false setup failed

    - #### startInventory

          @Deprecated
          public boolean startInventory(int flagAnti,
                                                     int initQ)

      Deprecated.
      此方法已经废弃，请使用`#startInventoryTag()`
      this method has been abandoned, please use `readUidFromBuffer()`
      启动识别循环，只是开启识别循环，之后将识别到的标签号上传到缓冲区， `readUidFromBuffer()`
      start identification cycling, just start identification cycling, upload tag number to buffer after, `readUidFromBuffer()`
      用于从缓冲区读取一个标签号数据，开启循环识别之后，模块只能响应`stopInventory()` 函数，
      used for reading one tag data from buffer zone, after starting circular identification, the module will respond to formula only.
      `stopInventory()` 停止识别循环。
      `stopInventory()` stop circular identification.
      Parameters:
        `flagAnti` - 是否使用防碰撞识别功能,默认使用0
        use anti-collision identification function or not，default 0
        `initQ` - 防碰撞识别过程的初始Q值，flagAnti为1时有效
        initial Q value of anti-collision process, it will be valid if flagAnti is 1.
      Returns:
        是否启动成功
        activate is successful or not.

    - #### startInventoryTag

          public boolean startInventoryTag(int flagAnti,
                                           int initQ)

      启动识别Tag循环，只是开启识别Tag循环，之后将识别到的标签号上传到缓冲区， `readTagFromBuffer()`
      activate identification Tag circulation, upload the identified tag number to buffer zone after, `readTagFromBuffer()`
      用于从缓冲区读取一个标签号数据，开启循环识别之后，模块只能响应`stopInventory()` 函数， used for reading one tag data, after starting the circular identification, the module will respond `stopInventory()` formula.
      `stopInventory()` 停止识别循环。
      `stopInventory()` stop identification circulation.
      Parameters:
        `flagAnti` - 是否使用防碰撞识别功能,默认使用0
        use anti-collision identification function or not，default 0
        `initQ` - 防碰撞识别过程的初始Q值，flagAnti为1时有效
        Initial Q value of anti-collision identification process, it will be valid if flagAnti is 1.
      Returns:
        是否启动成功

    - #### startInventoryTag

          public boolean startInventoryTag(int flagAnti,
                                           int initQ,
                                           int cnt)

      启动识别Tag循环，只是开启识别Tag循环，之后将识别到的标签号上传到缓冲区， `readTagFromBuffer()`
      start identifing Tag circulation, start identifying Tag circulation only, upload the identified tag number to buffer zone after, `readTagFromBuffer()`
      用于从缓冲区读取一个标签号数据，开启循环识别之后，模块只能响应`stopInventory()` 函数，
      used for reading a tag number data from buffer zone, after starting circular identification, module will respond `stopInventory()` formula only.
      `stopInventory()` 停止识别循环。
      `stopInventory()` stop identification circulation.
      Parameters:
        `flagAnti` - 是否使用防碰撞识别功能,默认使用0
        use anti-collision identification function or not，default 0
        `initQ` - 防碰撞识别过程的初始Q值，flagAnti为1时有效
        Initial Q value of anti-collision identification process, it will be valid if flagAnti is 1.
        `cnt` - TID的长度，单位为“字”
        TID length, unit is 'byte'
      Returns:
        true成功,false失败
        true is success, false is failed.

    - #### readUidFromBuffer

          public java.lang.String readUidFromBuffer()

      读取缓冲区返回的标签UII
      read the return tag UII in buffer zone
      Returns:
        返回UII信息，null为读取失败
        return UII infor, null means reading failed

    - #### readTagFromBuffer

          public java.lang.String[] readTagFromBuffer()

      读取缓冲区返回的标签的TID和UII
      read return TID and UII infor of tag in buffer zone.
      Returns:
        返回索引0为TID信息，索引1为UII，索引2为RSSI(如果不支持则返回N/A)，null为读取失败
        return index 0 means TID infor, index 1 means UII, index 2 means RSSI ( if it is not supported, it will return N/A), null means reading failed.

    - #### readTagFromR2000Buffer

          @Deprecated
          public java.lang.String[] readTagFromR2000Buffer()

      Deprecated.
      此方法已经废弃，请使用`readTagFromBuffer()`
      this method has been abandoned, please `readTagFromBuffer()`
      读取缓冲区返回的标签的TID和UII，仅适用R2000模块读取长TID
      read return TID and UII infor of tag, used for R2000 module to read long TID onle.
      Returns:
        返回索引0为TID信息，索引1为UII，索引2为RSSI(如果不支持则返回N/A)，null为读取失败
        return index 0 means TID infor, index 1 means UII, index 2 means RSSI ( if it is not supported, it will return N/A), null means reading failed.

    - #### stopInventory

          public boolean stopInventory()

      停止循环识别
      stop circular identification
      Returns:
        成功true，失败false
        success is true, failed is false

    - #### setPwm

          public boolean setPwm(int WorkTime,
                                int WaitTime)

      设置占空比，仅适用于R2000模块
      setup duty ration, used for R2000 module
      Parameters:
        `WorkTime` - 工作时间（0~255毫秒）
        working time (0 to 255 ms)
        `WaitTime` - 空闲时间（0~255毫秒）
        free time (0 to 255 ms)
      Returns:
        成功true，失败false
        success is ture, failed is false.

    - #### getPwm

          public int[] getPwm()

      获取占空比，仅适用于R2000模块
      acquire duty ratio, used for R2000 module only
      Returns:
        返回int数组，[0]工作时间，[1]等待时间;单位为毫秒。失败返回null
        return ini array, [0] working time, [1] waiting time; unit is ms. Failed return null

    - #### setReadMode

          public boolean setReadMode(RFIDWithUHF.SingleModeEnum mode)

      设置读取模式
      setup reading mode
      Parameters:
        `mode` -
      Returns:
        成功true，失败false
        success is ture, failed is false

    - #### getReadMode

          public int getReadMode()

      获取读取模式
      acquire reading mode.
      Returns:
        成功返回模式，失败返回-1
        success return mode, failed return -1

    - #### lockMem

          @Deprecated
          public java.lang.String lockMem(java.lang.String accessPwd,
                                                       java.lang.String lockCode)

      Deprecated.
      锁定标签的指定数据段（不指定UII）
      lock specified data of tags ( not specified UII)
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD (4 bytes) of tag
        `lockCode` - 锁定码
        lock code
      Returns:
        返回锁定标签的UII,null表示锁定失败

    - #### lockMem

          @Deprecated
          public boolean lockMem(java.lang.String accessPwd,
                                              java.lang.String lockCode,
                                              java.lang.String uii)

      Deprecated.
      锁定标签的指定数据段（指定UII）
      lock specified data of tags (specified UII)
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD (4 bytes) of tag
        `lockCode` - 锁定码
        lock code
      Returns:
        返回锁定标签的UII,null表示锁定失败
        return lock UII of tag, null means locking failed

    - #### lockMem

          public boolean lockMem(java.lang.String accessPwd,
                                 RFIDWithUHF.BankEnum bank,
                                 int ptr,
                                 int cnt,
                                 java.lang.String filterData,
                                 java.lang.String lockCode)

      锁定标签的指定数据段
      lock specified data of tags
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD (4 bytes) of tag
        `bank` - 标签的存储区
        Storage of tag
        `ptr` - 过滤起始地址(单位:bit)
        filter start address
        `cnt` - 过滤数据长度(单位:bit)
        filter data length
        `filterData` - 过滤数据
        filter data
        `lockCode` - 锁定码
        lock code
      Returns:

    - #### lockMem_EX

          public boolean lockMem_EX(java.lang.String accessPwd,
                                    java.lang.String lockCode)

      锁定标签的指定数据段（不指定UII）
      locking specified array (not specified UII) of tag
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 bytes)
        `lockCode` - 锁定码
        locking code
      Returns:
        true成功，false失败
        true means success, false means failed

    - #### inventorySingleTag

          public java.lang.String inventorySingleTag()

      该函数单步识别标签，一次只返回一个UII
      this formula identify tag in single step, return UII for only one time.
      Returns:
        返回UII，null为识别标签失败
        return UII, null is identified tag failure

    - #### inventorySingleTagBytes

          public byte[] inventorySingleTagBytes()

      该函数单步识别标签，一次只返回一个UII
      this formula will identify tag in single step, return one UII for one time
      Returns:
        返回UII，null为识别标签失败
        return UII, null means tag identify failed

    - #### inventorySingleTagWithR2000

          @Deprecated
          public java.lang.String[] inventorySingleTagWithR2000()

      Deprecated.
      单步识别标签,返回的标签的TID和UII,仅用于R2000模块
      Identify tag in single step, return TID and UII of tag, used for R2000 only.
      Returns:
        返回索引0为TID信息，索引1为UII，索引2为RSSI(如果不支持则返回N/A)，null为读取失败
        return index 0 means TID infor, index 1 means UII, index 2 means RSSI (if it is not supported, it will return N/A), null means reading failed

    - #### readData

          public SimpleRFIDEntity readData(java.lang.String accessPwd,
                                           RFIDWithUHF.BankEnum bank,
                                           int ptr,
                                           int cnt)

      读取标签某个存储区的所有数据（指定UII）。芯联模块不支持
      Read all the data of random storage of tags (specified UII). core united module is not supported.
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 byte)
        `bank` - 标签的存储区
        Storage of tag
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length ( Word is unit, it cannot be 0)
        `uii` - 标签的UII
        UII of tag
      Returns:
        返回十六进制字符串数据，null为读取失败
        return hexdecimal data, null means reading failed

    - #### readData

          @Deprecated
          public java.lang.String readData(java.lang.String accessPwd,
                                                        RFIDWithUHF.BankEnum bank,
                                                        int ptr,
                                                        int cnt,
                                                        java.lang.String uii)

      Deprecated.
      读取标签某个存储区的所有数据（指定UII）。芯联模块不支持
      Read all the data of random storage of tags (specified UII). core united module is not supported.
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 byte)
        `bank` - 标签的存储区
        Storage of tag
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length ( Word is unit, it cannot be 0)
        `uii` - 标签的UII
        UII of tag
      Returns:
        返回十六进制字符串数据，null为读取失败
        return hexdecimal data, null means reading failed

    - #### readData

          public java.lang.String readData(java.lang.String accessPwd,
                                           RFIDWithUHF.BankEnum filterBank,
                                           int filterPtr,
                                           int filterCnt,
                                           java.lang.String filterData,
                                           RFIDWithUHF.BankEnum bank,
                                           int ptr,
                                           int cnt)

      读取标签某个存储区的所有数据
      Read all the data of random storage of tags
      Parameters:
        `accessPwd` - 访问密码
        ACCESS PASSWORD of tag (4 byte)
        `filterBank` - 过滤的数据块
        filterBank
        `filterPtr` - 过滤的起始地址(单位:bit)
        filter start address(bit is unit)
        `filterCnt` - 过滤的数据长度(单位:bit)
        filter data length(bit is unit)
        `filterData` - 过滤的数据
        filter data
        `bank` - 读取的数据块
        Storage of tag
        `ptr` - 读取的起始地址(单位:字)
        variable of initial address(Word is unit)
        `cnt` - 读取的数据长度(单位:字)
        data length ( Word is unit, it cannot be 0)
      Returns:
        返回获取的数据,null表示读取失败
        return hexdecimal data, null means reading failed

    - #### writeData

          @Deprecated
          public java.lang.String writeData(java.lang.String accessPwd,
                                                         RFIDWithUHF.BankEnum bank,
                                                         int ptr,
                                                         int cnt,
                                                         java.lang.String data)

      Deprecated.
      向标签写入数据。芯联模块只写EPC数据
      Write data in tag. core united module can write EPC data only
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 byte)
        `bank` - 标签的存储区
        Stroage of tag
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length ( Word is unit, it cannot be 0)
        `data` - 要写入的数据,十六进制格式
        write hexdecimal data
      Returns:
        返回UII的值，null表示写入失败
        return UII value, null means writing failed

    - #### writeData_Ex

          public boolean writeData_Ex(java.lang.String accessPwd,
                                      RFIDWithUHF.BankEnum bank,
                                      int ptr,
                                      int cnt,
                                      java.lang.String data)

      向标签写入数据。芯联模块只写EPC数据
      Write data in tag. core united module can write EPC data only
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 byte)
        `bank` - 标签的存储区
        Stroage of tag
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length ( Word is unit, it cannot be 0)
        `data` - 要写入的数据,十六进制格式
        write hexdecimal data
      Returns:
        返回UII的值，null表示写入失败

    - #### writeData

          @Deprecated
          public boolean writeData(java.lang.String accessPwd,
                                                RFIDWithUHF.BankEnum bank,
                                                int ptr,
                                                int cnt,
                                                java.lang.String data,
                                                java.lang.String uii)

      Deprecated.
      向标签写入数据（指定UII）。芯联模块不支持
      Write data (specified UII) to tag. core united module is not supported
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 byte)
        `bank` - 标签的存储区
        Storage of tag
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length ( Word is unit, it cannot be 0)
        `data` - 要写入的数据,十六进制格式
        Write hexdecimal data
        `uii` - 标签的UII
        UII of tag
      Returns:
        true成功，false失败
        true is success, false is failed

    - #### writeData

          public boolean writeData(java.lang.String accessPwd,
                                   RFIDWithUHF.BankEnum filterBank,
                                   int filterPtr,
                                   int filterCnt,
                                   java.lang.String filterData,
                                   RFIDWithUHF.BankEnum bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String writeData)

      向标签写入数据
      Write data
      Parameters:
        `accessPwd` - 访问密码
        ACCESS PASSWORD of tag (4 byte)
        `filterBank` - 过滤的数据块
        filterBank
        `filterPtr` - 过滤的起始地址(单位:bit)
        filter start address(bit is unit)
        `filterCnt` - 过滤的数据长度(单位:bit)
        filter data length(bit is unit)
        `filterData` - 过滤的数据
        filter data
        `bank` - 写入的数据块
        Storage of tag
        `ptr` - 读取的起始地址(单位:字)
        variable of initial address(Word is unit)
        `cnt` - 写入的数据长度(单位:字)
        data length ( Word is unit, it cannot be 0)
        `writeData` - 写入的数据 writeData
      Returns:
        true:表示写入成功,false:表示写入失败
        true is success, false is failed

    - #### eraseData

          public java.lang.String eraseData(java.lang.String accessPwd,
                                            RFIDWithUHF.BankEnum bank,
                                            int ptr,
                                            int cnt)

      擦除标签数据（不指定UII）
      erase tag data ( non-specified UII)
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag ( 4 byte)
        `bank` - 标签的存储区
        tag storage
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length (Word is unit, it cannot be 0)
      Returns:
        返回所擦除标签的UII,null表示擦除失败
        return the erased UII of tag, null means erase failed

    - #### eraseData

          public boolean eraseData(java.lang.String accessPwd,
                                   RFIDWithUHF.BankEnum bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String uii)

      擦除标签数据（指定UII）
      erase tag data (specified UII)
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 byte)
        `bank` - 标签的存储区
        Storage of tag
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length( Word is unit, it cannot be 0)
        `uii` - 标签的UII
        UII of tag
      Returns:
        true成功，false失败
        ture is success, false is failed

    - #### eraseData

          public boolean eraseData(java.lang.String accessPwd,
                                   RFIDWithUHF.BankEnum filterBank,
                                   int filterPtr,
                                   int filterCnt,
                                   java.lang.String filterData,
                                   RFIDWithUHF.BankEnum bank,
                                   int ptr,
                                   int cnt)

    - #### setFilter

          @Deprecated
          public boolean setFilter(int bank,
                                                int ptr,
                                                java.lang.String data)

      Deprecated.
      设置扫描过滤，仅R2000有效
      Setup scanning filter, be valid for R2000 only
      Parameters:
        `bank` - 过滤区域 1=EPC 2=TID
        filter zone 1=EPC 2=TID
        `ptr` - 起始地址的偏移量
        variable of initial address
        `data` - 过滤的数据
        filter data
      Returns:
        true成功，false失败
        true is success, false is failed

    - #### setFilter

          public boolean setFilter(RFIDWithUHF.BankEnum bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String data,
                                   boolean save)

      Parameters:
        `bank` - 过滤区域
        filter zone
        `ptr` - 过滤起始地址(单位:bit)
        filter start address
        `cnt` - 过滤数据长度(单位:bit)
        filter data length
        `data` - 过滤数据
        filter data
        `save` - 是否掉电保存
        Permanent
      Returns:

    - #### setFilter

          @Deprecated
          public boolean setFilter(int bank,
                                                byte ptr,
                                                java.lang.String data)

      Deprecated.
      设置扫描过滤，仅R2000有效
      setup scanning filter, be valid for R2000 only.
      Parameters:
        `bank` - 过滤区域 1=EPC 2=TID
        filter zone 1=EPC 2=TID
        `ptr` - 起始地址的偏移量
        variable of initial address
        `data` - 过滤的数据
        filter data
      Returns:
        true成功，false失败
        true is success, false is failed

    - #### killTag

          @Deprecated
          public java.lang.String killTag(java.lang.String killPwd)

      Deprecated.
      销毁指定标签（不指定UII）,默认密码不能执行销毁
      destroy specified tag (non-specified UII), default code cannot execute erase
      Parameters:
        `killPwd` - 标签的Kill Password（4字 节） ；
        Kill password of tag (4 byte) ;
      Returns:
        销毁标签的UII，null为销毁失败
        erase UII of tag, null is erase failed

    - #### killTag_Ex

          public boolean killTag_Ex(java.lang.String killPwd)

      销毁指定标签（不指定UII）,默认密码不能执行销毁
      destroy specified tag (non-specified UII), default code cannot execute erase
      Parameters:
        `killPwd` - 销毁密码
        kill password
        `uii` - 标签的UII
        UII of tag
      Returns:
        true成功，false失败
        ture is success, false is failed

    - #### killTag

          public boolean killTag(java.lang.String killPwd,
                                 java.lang.String uii)

      销毁指定标签（指定UII）,默认密码不能执行销毁
      destroy specified tag (specified UII), default code cannot execute erase
      Parameters:
        `killPwd` - 销毁密码
        kill password
        `uii` - 标签的UII
        UII of tag
      Returns:
        true成功，false失败
        ture is success, false is failed

    - #### killTag

          public boolean killTag(java.lang.String accessPwd,
                                 RFIDWithUHF.BankEnum bank,
                                 int ptr,
                                 int cnt,
                                 java.lang.String filterData)

      销毁指定标签 ,默认密码不能执行销毁
      destroy specified tag , default code cannot execute erase
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD (4 bytes) of tag
        `bank` - 标签的存储区
        Storage of tag
        `ptr` - 过滤起始地址(单位:bit)
        filter start address
        `cnt` - 过滤数据长度(单位:bit)
        filter data length
        `filterData` - 过滤数据
        filter data
      Returns:

    - #### generateLockCode

          @Deprecated
          public java.lang.String generateLockCode(RFIDWithUHF.LockModeEnum killPwd,
                                                                RFIDWithUHF.LockModeEnum accessPwd,
                                                                RFIDWithUHF.LockModeEnum uii,
                                                                RFIDWithUHF.LockModeEnum tid,
                                                                RFIDWithUHF.LockModeEnum user)

      Deprecated.
      生成锁定码
      generate lock password
      Parameters:
        `killPwd` - killPwd锁定模式
        killPwd lock mode
        `accessPwd` - accessPwd锁定模式
        accessPwd lock mode
        `uii` - uii锁定模式
        uii lock mode
        `tid` - tid锁定模式
        tid lock mode
        `user` - user锁定模式
        user lock mode
      Returns:
        返回锁定码

    - #### setProtocol

          public boolean setProtocol(int protocol)

      设置协议 仅R2000模块有效
      setup protocol, be valid for R2000 module only
      Parameters:
        `protocol` - 0为ISO 18000-6C，1为ISO 18000-6D
      Returns:
        true成功，false失败
        true is success, false is failed

    - #### openInventoryEPCAndTIDMode

          @Deprecated
          public boolean openInventoryEPCAndTIDMode()

      Deprecated.
      打开同时支持读取EPC和TID模式 仅R2000模块有效 此方法已经废弃，请使用`setEPCTIDMode(boolean)()`
      switch on EPC and TID mode, it is valid for R2000 module only, this method has been abandoned, please use `setEPCTIDMode(boolean)()`
      Returns:
        true成功，false失败
        true is success, false is failed

    - #### setFreHop

          public boolean setFreHop(float fre)

      设置模块频点
      setup frequence point module
      Returns:
        true成功，false失败
        true is success, false is failed

    - #### readDataWithQT

          public SimpleRFIDEntity readDataWithQT(java.lang.String accessPwd,
                                                 RFIDWithUHF.BankEnum bank,
                                                 int ptr,
                                                 int cnt)

      读取标签数据（不指定UII）,用于R2000 QT标签
      read tag data ( non-specified UII), used for R2000 QT tag
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 byte)
        `bank` - 标签的存储区
        storage of tag
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length (Word is unit, it cannot be 0)
      Returns:
        返回SimpleRFIDEntity实体， null为读取失败
        return SimpleRFIDEntity, null is read failed

    - #### readDataWithQT

          @Deprecated
          public java.lang.String readDataWithQT(java.lang.String accessPwd,
                                                              RFIDWithUHF.BankEnum bank,
                                                              int ptr,
                                                              int cnt,
                                                              java.lang.String uii)

      Deprecated.
      读取标签某个存储区的所有数据（指定UII）,用于R2000 QT标签
      read all data of random storage of the tag (specified UII), used for R2000 QT tag.
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 byte)
        `bank` - 标签的存储区
        storage of tag
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length (Word is unit, it cannot be 0)
        `uii` - 标签的UII
        UII of tag
      Returns:
        返回十六进制字符串数据，null为读取失败
        return hexdecimal string data, null means reading failed

    - #### readDataWithQT

          public java.lang.String readDataWithQT(java.lang.String accessPwd,
                                                 RFIDWithUHF.BankEnum filterBank,
                                                 int filterPtr,
                                                 int filterCnt,
                                                 java.lang.String filterData,
                                                 RFIDWithUHF.BankEnum bank,
                                                 int ptr,
                                                 int cnt)

      读取标签某个存储区的所有数据,用于R2000 QT标签
      read all data of random storage of the tag, used for R2000 QT tag.
      Parameters:
        `accessPwd` - 访问密码
        ACCESS PASSWORD of tag (4 byte)
        `filterBank` - 过滤的数据块
        filterBank
        `filterPtr` - 过滤的起始地址(单位:bit)
        filter start address(bit is unit)
        `filterCnt` - 过滤的数据长度(单位:bit)
        filter data length(bit is unit)
        `filterData` - 过滤的数据
        filter data
        `bank` - 读取的数据块
        Storage of tag
        `ptr` - 读取的起始地址(单位:字)
        variable of initial address(Word is unit)
        `cnt` - 读取的数据长度(单位:字)
        data length ( Word is unit, it cannot be 0)
      Returns:
        返回获取的数据,null表示读取失败
        return hexdecimal data, null means reading failed

    - #### writeDataWithQT

          @Deprecated
          public java.lang.String writeDataWithQT(java.lang.String accessPwd,
                                                               RFIDWithUHF.BankEnum bank,
                                                               int ptr,
                                                               int cnt,
                                                               java.lang.String data)

      Deprecated.
      向标签写入数据,用于R2000 QT标签
      write data into tag, used for R2000 QT tag
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 byte)
        `bank` - 标签的存储区
        Storage of tag
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length( Word is unit, it cannot be 0)
        `data` - 要写入的数据,十六进制格式
        write in hexdecimal data
      Returns:
        返回UII的值，null表示写入失败
        return UII value, null means writing failure

    - #### writeDataWithQT_Ex

          public boolean writeDataWithQT_Ex(java.lang.String accessPwd,
                                            RFIDWithUHF.BankEnum bank,
                                            int ptr,
                                            int cnt,
                                            java.lang.String data)

      向标签写入数据,用于R2000 QT标签
      write data into tag, used for R2000 QT tag
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 byte)
        `bank` - 标签的存储区
        Storage of tag
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length( Word is unit, it cannot be 0)
        `data` - 要写入的数据,十六进制格式
        write in hexdecimal data
      Returns:
        返回true表示成功，false表示失败 return true:success ,false:failuer

    - #### writeDataWithQT

          @Deprecated
          public boolean writeDataWithQT(java.lang.String accessPwd,
                                                      RFIDWithUHF.BankEnum bank,
                                                      int ptr,
                                                      int cnt,
                                                      java.lang.String data,
                                                      java.lang.String uii)

      Deprecated.
      /** 向标签写入数据（指定UII）,用于R2000 QT标签
      write data in tag (specified UII), used for R2000 QT tag
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        ACCESS PASSWORD of tag (4 byte)
        `bank` - 标签的存储区
        storage of tag
        `ptr` - 起始地址的偏移量
        variable of initial address
        `cnt` - 数据的长度（Word为单位，不能为0）
        data length (Word is unit, it cannot be 0)
        `data` - 要写入的数据,十六进制格式
        data need to be written, hexdecimal format
        `uii` - 标签的UII
        UII of tag
      Returns:
        true成功，false失败
        true is success, false is failed

    - #### writeDataWithQT

          public boolean writeDataWithQT(java.lang.String accessPwd,
                                         RFIDWithUHF.BankEnum filterBank,
                                         int filterPtr,
                                         int filterCnt,
                                         java.lang.String filterData,
                                         RFIDWithUHF.BankEnum bank,
                                         int ptr,
                                         int cnt,
                                         java.lang.String writeData)

      向标签写入数据 ,用于R2000 QT标签
      write data in tag , used for R2000 QT tag
      Parameters:
        `accessPwd` - 访问密码
        ACCESS PASSWORD of tag (4 byte)
        `filterBank` - 过滤的数据块
        filterBank
        `filterPtr` - 过滤的起始地址(单位:bit)
        filter start address(bit is unit)
        `filterCnt` - 过滤的数据长度(单位:bit)
        filter data length(bit is unit)
        `filterData` - 过滤的数据
        filter data
        `bank` - 写入的数据块
        Storage of tag
        `ptr` - 读取的起始地址(单位:字)
        variable of initial address(Word is unit)
        `cnt` - 写入的数据长度(单位:字)
        data length ( Word is unit, it cannot be 0)
        `writeData` - 写入的数据 writeData
      Returns:
        true:表示写入成功,false:表示写入失败
        true is success, false is failed

    - #### setQTPara

          public boolean setQTPara(boolean enable)

      开启寻隐藏区(仅R2000 QT标签)
      activate searching hidden area (R2000 QT tag only)
      Parameters:
        `enable` - true为开启，false为关闭
        true is activated, false is deactivate
      Returns:
        true设置成功，false设置失败
        true is setup success, false is setup failed

    - #### getQTPara

          public int[] getQTPara()

      获取是否开启寻隐藏区(仅R2000 QT标签)
      acquire hidden area activation or not (R2000 QT tag only)
      Returns:
        索引0表示是否读取成功，0表示失败，1表示成功；索引1表示是否开启，1表示开启，0表示未开启；
        index 0 means whether reading is successful or not, 0 means failed, 1 means success; index 1 means activated or not, 1 means activated, 0 means deactivated;

    - #### setRFLink

          public boolean setRFLink(int mode)

      设置链路参数，仅R2000有效
      setup link parameter, R2000 is valid only
      Parameters:
        `mode` - 0: DSB_ASK/FM0/40KH; 1:PR_ASK/Miller4/250KHz; 2:PR_ASK/Miller4/300KHz; 3:DSB_ASK/FM0/400KHz
      Returns:
        true设置成功，false设置失败
        true means setup success, false means setup failed.

    - #### getRFLink

          public int getRFLink()

      获取链路参数，仅R2000有效
      acquire link parameter, R2000 is valid only.
      Returns:
        返回 -1为失败，0: DSB_ASK/FM0/40KH; 1:PR_ASK/Miller4/250KHz; 2:PR_ASK/Miller4/300KHz; 3:DSB_ASK/FM0/400KHz

    - #### setFastID

          public boolean setFastID(boolean enalbe)

      开关FastID功能，仅R2000有效
      ON/OFF FastID function, R2000 is valid only.
      Parameters:
        `enalbe` - true：开，false：关
        true : ON, false: OFF
      Returns:
        true设置成功，false设置失败
        true setup success, false means setup failed

    - #### setTagFocus

          public boolean setTagFocus(boolean enalbe)

      开关TagFocus功能，仅R2000有效
      ON/OFF TagFocus function, it is valid for R2000 only.
      Parameters:
        `enalbe` - true：开，false：关
        true: ON, false: OFF
      Returns:
        true设置成功，false设置失败
        true means setup success, false means setup failed

    - #### setEPCTIDMode

          public boolean setEPCTIDMode(boolean enalbe)

      开关同时读取 EPC 和 TID 模式设置功能，仅R2000有效
      ON/OFF will read EPC and TID setup function simultaneously, it is valid for R2000 only.
      Parameters:
        `enalbe` - true：开，false：关
      Returns:
        true设置成功，false设置失败
        true means setup success, false means setup failed

    - #### getTemperature

          public int getTemperature()

      获取模块温度，模块在工作中不能获取文档。（仅R2000模块有效）
      acquire module temperature, module cannot acquire files in operation
      Returns:
        模块温度
        module temperature

    - #### setParam

          public boolean setParam(char type,
                                  char[] id,
                                  char[] data)

      设置模块参数，仅R2000模块有效
      setup module parameter, it is valid for R2000 only
      Parameters:
        `type` - 类型（1字节）
        type type (1 byte)
        `id` - ID号（4字节）
        id ID number (4 byte)
        `data` - 参数数值（4字节）
        data parameter value (4 byte)
      Returns:
        true成功；false失败
        true means success; false means failed

    - #### getParam

          public char[] getParam(char type,
                                 char[] id)

      获取模块参数，仅R2000模块有效
      acquire module parameter, it is valid for R2000 only
      Parameters:
        `type` - 类型（1字节）
        type type (1 byte)
        `id` - ID号（4字节）
        id ID number (4 byte)
      Returns:
        返回参数数值，null为失败
        return parameter value, null means failed

    - #### setMode

          public boolean setMode(int mode)

      设置寻标签模式，仅R2000模块有效
      setup tag searching mode, it is valid for R2000 only.
      Parameters:
        `mode` - 0:正常模式 1：多标签 2：单标签
        mode 0: normal mode 1: multiple tag 2: single tag
      Returns:
        true成功；false失败
        ture means success, false means failed.

    - #### getMode

          public int getMode()

      获取寻标签模式，仅R2000模块有效
      acquire tag searching mode, it is valid for R2000 only
      Returns:
        0:正常模式 1：多标签 2：单标签
        0: normal mode 1: multiple tag 2: single tag

    - #### UHFBlockPermalock

          public java.lang.String UHFBlockPermalock(java.lang.String accessPwd,
                                                    int bank,
                                                    int ptr,
                                                    int datalen,
                                                    java.lang.String uii,
                                                    int readlock,
                                                    int MB,
                                                    int blockptr,
                                                    int blockrange,
                                                    java.lang.String jucpmask)

      Parameters:
        `accessPwd:` - 4字节密码，默认0x00 0x00 0x00 0x00
        accessPwd: 4 byte code, default 0x00 0x00 0x00 0x00
        `bank:` - 启动过滤操作的块号 ：0x01表示EPC 0x02表示TID 0x03表示USR 其他非法值
        back: activate block number of filter operation: 0x01 means EPC 0x02 means TID 0x03 means USR other illegal value
        `ptr:` - epc起始地址
        ptr: epc initial address
        `datalen:` - EPC数据长度
        datalen: EPC data length
        `uii:` - EPC数据
        uii: EPC data
        `readlock:` - 0表示读设置 1表示锁设置
        readlock: 0 means reading setup 1 means lock setup
        `MB:` - memory bank ，默认为3 表示USER区
        MB: memory bank, default is 3, it means USER zone
        `blockptr:` - 块单元起始地址 ，默认为0，其中 1个块单元为16个块，
        blockptr: block unit initial address, default is 0, 1 block unit has 16 blocks,
        `blockrange:` - 块单元结束范围，默认为1，其中 1个块单元为16个块，
        blockrange: block unit end range, default is 1, 1 block unit has 16 blocks,
        `jucpmaskp:` - 设置锁MSAK， 高位在前，每个bit 代表为1个块，默认为2字节
        jucpmaskp: setup lock MSAK, high bit is at the front, each bit represents 1 block, default is 2 bytes.
      Returns:
        返回： null 表示失败，其他表示成功(readlock==0 返回数据 , readlock==1 无数据返回)
        null means failed, others means success(readlock==0 return data, readlock==1 no return data)

    - #### SetGen2

          public boolean SetGen2(int target,
                                 int action,
                                 int t,
                                 int q,
                                 int startQ,
                                 int minQ,
                                 int maxQ,
                                 int dr,
                                 int coding,
                                 int p,
                                 int Sel,
                                 int Session,
                                 int g,
                                 int linkFrequency)

      Parameters:
        `target` - s0:0 s1:1 s2:2 s3:3 SL:4
        `action` - 0,1,2,3,4,5,6
        `t` - Disable truncation 0, Enable truncation 1
        `q` - 固定Q算法 0, 动态Q算法 1
        fixed Q algorithm 0, dynamic Q algorithm 1
        `startQ` - 0,1,2,3.....15 注意：在固定Q算法下，Q固定为StartQ，忽略MinQ 和 MaxQ
        0,1,2,3.....15 note: in fixed algorithm, Q will be fixed as StartQ, neglect MinQ and MaxQ
        `minQ` - 0,1,2,3.....15
        `maxQ` - 0,1,2,3......15
        `dr` - 0,1
        `coding` - 0,1,2,3
        `p` - 0,1
        `sel` - 0,1,2,3
        `Session` - 0,1,2,3
        `g` - 0,1
        `linkFrequency` - 0,1,2,3,4,5,6,7
      Returns:
        false 返回失败, true 返回成功
        false return failed, true return success

    - #### GetGen2

          public char[] GetGen2()

      [0] target: s0:0 s1:1 s2:2 s3:3 SL:4 [1] action: 0,1,2,3,4,5,6 [2] t: Disable truncation 0, Enable truncation 1 [3] q: 固定Q算法 0, 动态Q算法 1
      [3] q: fixed Q algorithm 0, dynamic Q algorithm 1
      [4] startQ: 0,1,2,3.....15 注意：在固定Q算法下，Q固定为StartQ，忽略MinQ 和 MaxQ
      [4] startQ: 0,1,2,3.....15 note: in fixed algorithm, Q is fixed as StartQ, neglect MinQ and MaxQ
      [5] minQ: 0,1,2,3.....15 [6] maxQ:0,1,2,3......15 [7] dr:0,1 [8] coding:0,1,2,3 [9] p:0,1 [10] sel:0,1,2,3 [11] Session:0,1,2,3 [12] g:0,1 [13] linkFrequency:0,1,2,3,4,5,6,7
      Returns:
        返回数组长度14 表示为返回的数据,返回其他长度表示读取失败
        return array length 14 means return data, return other length means read failed.

    - #### uhfJump2Boot

          public boolean uhfJump2Boot()

      升级uhf模块
      Returns:

    - #### uhfStartUpdate

          public boolean uhfStartUpdate()

      升级uhf模块
      Returns:

    - #### uhfUpdating

          public boolean uhfUpdating(byte[] buff)

      升级uhf模块
      Parameters:
        `buff` -
      Returns:

    - #### uhfStopUpdate

          public boolean uhfStopUpdate()

      升级uhf模块
      Returns:

    - #### inventorySingleTag_tc

          public java.lang.String inventorySingleTag_tc(int mode)

      客户定制函数/Customizing 该函数单步识别标签，一次只返回一个UII
      this formula identify tag in single step, return UII for only one time.
      Parameters:
        `mode` - 0x01 表示普通标签EPC+TID.
        0x02 表示 特殊标签EPC+TID
        0x03 表示特殊标签EPC+BID
      Returns:
        返回UII，null为识别标签失败
        return UII, null is identified tag failure

    - #### setInventoryBID

          public boolean setInventoryBID(boolean save,
                                         int mode)

      盘存TID(客户定制函数/Customizing)
      Parameters:
        `save` - true:表示掉电保存,false:表示掉电不保存
        `mode` -
      Returns:
        true:成功,false:失败

    - #### getInventoryBID

          public int[] getInventoryBID()

      是否盘存BID(客户定制函数/Customizing)
      Returns:
        [0]:0 表示获取成功，其他值表示获取失败。 [1]:0x00 表示盘存正常EPC标签.
        [1]:0x01 表示 EPC+TID 和 EPC+BID 轮流盘存
        [1]:0x02 兼容以前的EPC+TID 和 EPC+BID 轮流盘存

    - #### uhfDeactivate

          public boolean uhfDeactivate(java.lang.String hexCmd,
                                       java.lang.String pszuAccessPwd,
                                       RFIDWithUHF.BankEnum uBank,
                                       int uPtr,
                                       int cnt,
                                       java.lang.String pszuUii)

      客户定制
      Customizing
      Parameters:
        `hexCmd` - 两个字节的命令
        `pszuAccessPwd` - 访问密码
        `uBank` - 存储区域
        `uPtr` - 起始地址(单位:bit)
        `cnt` - 长度(单位:bit)
        `pszuUii` - 过滤的数据
      Returns:

    - #### startInventory_BankPtrCnt

          public int startInventory_BankPtrCnt(int flagAnti,
                                               int initQ,
                                               int bank,
                                               int ptr,
                                               int cnt)

      客户定制
      Customizing
      Parameters:
        `flagAnti` -
        `initQ` -
        `bank` -
        `ptr` -
        `cnt` -
      Returns:

    - #### uhfDwell

          public boolean uhfDwell(int dwell,
                                  int count)

      * 客户定制
      Customizing
      Parameters:
        `dwell` -
        `count` -
      Returns:

    - #### inventoryBank_sf

          public boolean inventoryBank_sf(java.lang.String pwdData,
                                          char bank,
                                          int ptr,
                                          int len)

      顺丰定制接口
      Customizing
      Parameters:
        `pwdData` - 密码
        `bank` - 存储区域 1:EPC，2:TID,3:user,4:Reversed,5:EPC+TID,6:EPC+USER,7:EPC+TID+USER
        `ptr` - 起始地址
        `len` - 长度
      Returns:

    - #### readTagData_sf

          public java.lang.String[] readTagData_sf()

      顺丰定制接口
      Customizing
      Returns:

    - #### inventorySingleTag_sf

          public java.lang.String[] inventorySingleTag_sf()

      顺丰定制接口
      Customizing
      Returns:

    - #### isPowerOn

          public boolean isPowerOn()

      判断设备是否上电
      Judge the device is powered on or not.
      Returns: